Fetches all Wdr records
Returns wireless detail records (WDRs) matching the provided criteria, such as date range, SIM card, IMSI, or phone number, with pagination and sorting.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const reportListWdrsResponse of client.reports.listWdrs()) {
console.log(reportListWdrsResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.reports.list_wdrs()
page = page.data[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Reports.ListWdrs(context.TODO(), telnyx.ReportListWdrsParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.reports.ReportListWdrsPage;
import com.telnyx.sdk.models.reports.ReportListWdrsParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReportListWdrsPage page = client.reports().listWdrs();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.reports.list_wdrs
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->reports->listWdrs(
id: 'e093fbe0-5bde-11eb-ae93-0242ac130002',
endDate: '2021-06-01T00:00:00Z',
imsi: '123456',
mcc: '204',
mnc: '01',
pageNumber: 0,
pageSize: 0,
phoneNumber: '+12345678910',
simCardID: '877f80a6-e5b2-4687-9a04-88076265720f',
simGroupID: 'f05a189f-7c46-4531-ac56-1460dc465a42',
simGroupName: 'sim name',
sort: ['created_at'],
startDate: '2021-05-01T00:00:00Z',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx reports list-wdrs \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/reports/wdrs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3ca7bd3d-7d82-4e07-9df4-009123068320",
"created_at": "2020-07-01T00:00:00-06:00",
"cost": {
"amount": "0.1",
"currency": "USD"
},
"mcc": "204",
"mnc": "01",
"downlink_data": {
"amount": 1,
"unit": "MB"
},
"duration_seconds": 1,
"imsi": "123",
"rate": {
"amount": "0.1",
"currency": "USD"
},
"sim_group_name": "sim name",
"sim_group_id": "f05a189f-7c46-4531-ac56-1460dc465a42",
"sim_card_id": "877f80a6-e5b2-4687-9a04-88076265720f",
"phone_number": "+12345678910",
"uplink_data": {
"amount": 1,
"unit": "MB"
},
"record_type": "wdr"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "10011",
"title": "Bad Request",
"detail": "Invalid parameter value"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Start date
"2021-05-01T00:00:00Z"
End date
"2021-06-01T00:00:00Z"
Filter results by identifier. WDR uuid
"e093fbe0-5bde-11eb-ae93-0242ac130002"
Filter results by mcc. Mobile country code
"204"
Filter results by mnc. Mobile network code
"01"
Filter results by imsi. International mobile subscriber identity
"123456"
Filter results by sim group name. Sim group name
"sim name"
Filter results by sim group id. Sim group unique identifier
"f05a189f-7c46-4531-ac56-1460dc465a42"
Filter results by sim card id. Sim card unique identifier
"877f80a6-e5b2-4687-9a04-88076265720f"
Filter results by phone number. Phone number
"+12345678910"
Field and direction to sort the results by. Field used to order the data. If no field is specified, default value is 'created_at'
["created_at"]
Consolidated page parameter (deepObject style). Originally: page[number], page[size]
Show child attributes
Show child attributes
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const reportListWdrsResponse of client.reports.listWdrs()) {
console.log(reportListWdrsResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.reports.list_wdrs()
page = page.data[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Reports.ListWdrs(context.TODO(), telnyx.ReportListWdrsParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.reports.ReportListWdrsPage;
import com.telnyx.sdk.models.reports.ReportListWdrsParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReportListWdrsPage page = client.reports().listWdrs();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.reports.list_wdrs
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->reports->listWdrs(
id: 'e093fbe0-5bde-11eb-ae93-0242ac130002',
endDate: '2021-06-01T00:00:00Z',
imsi: '123456',
mcc: '204',
mnc: '01',
pageNumber: 0,
pageSize: 0,
phoneNumber: '+12345678910',
simCardID: '877f80a6-e5b2-4687-9a04-88076265720f',
simGroupID: 'f05a189f-7c46-4531-ac56-1460dc465a42',
simGroupName: 'sim name',
sort: ['created_at'],
startDate: '2021-05-01T00:00:00Z',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx reports list-wdrs \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/reports/wdrs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3ca7bd3d-7d82-4e07-9df4-009123068320",
"created_at": "2020-07-01T00:00:00-06:00",
"cost": {
"amount": "0.1",
"currency": "USD"
},
"mcc": "204",
"mnc": "01",
"downlink_data": {
"amount": 1,
"unit": "MB"
},
"duration_seconds": 1,
"imsi": "123",
"rate": {
"amount": "0.1",
"currency": "USD"
},
"sim_group_name": "sim name",
"sim_group_id": "f05a189f-7c46-4531-ac56-1460dc465a42",
"sim_card_id": "877f80a6-e5b2-4687-9a04-88076265720f",
"phone_number": "+12345678910",
"uplink_data": {
"amount": 1,
"unit": "MB"
},
"record_type": "wdr"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "10011",
"title": "Bad Request",
"detail": "Invalid parameter value"
}
]
}